Bug 1303616 - [abrt] synergy: ArchMultithreadPosix::closeMutex(): synergys killed by SIGABRT
[abrt] synergy: ArchMultithreadPosix::closeMutex(): synergys killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:561a7a94d65541fad8fad5fbf43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 08:09 EST by Brian J. Murrell
Modified: 2016-12-20 13:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:21:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.11 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: core_backtrace (6.05 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: dso_list (4.30 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: environ (2.12 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: maps (21.65 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: mountinfo (9.90 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: open_fds (576 bytes, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details
File: var_log_messages (303 bytes, text/plain)
2016-02-01 08:09 EST, Brian J. Murrell
no flags Details

  None (edit)
Description Brian J. Murrell 2016-02-01 08:09:30 EST
Version-Release number of selected component:
synergy-1.6.2-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        synergys -f --config /home/brian/.quicksynergy/synergy.conf
crash_function: ArchMultithreadPosix::closeMutex
executable:     /usr/bin/synergys
global_pid:     3338
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 ArchMultithreadPosix::closeMutex at /usr/src/debug/synergy-1.6.2/src/lib/arch/unix/ArchMultithreadPosix.cpp:292
 #5 XWindowsEventQueueBuffer::~XWindowsEventQueueBuffer at /usr/src/debug/synergy-1.6.2/src/lib/platform/XWindowsEventQueueBuffer.cpp:77
 #7 EventQueue::adoptBuffer at /usr/src/debug/synergy-1.6.2/src/lib/base/EventQueue.cpp:185
 #8 XWindowsScreen::onError at /usr/src/debug/synergy-1.6.2/src/lib/platform/XWindowsScreen.cpp:1736
 #9 XWindowsScreen::ioErrorHandler at /usr/src/debug/synergy-1.6.2/src/lib/platform/XWindowsScreen.cpp:1762
 #10 _XIOError at XlibInt.c:1464
 #11 _XEventsQueued at xcb_io.c:366
 #12 XPending at Pending.c:55
 #13 XWindowsEventQueueBuffer::isEmpty at /usr/src/debug/synergy-1.6.2/src/lib/platform/XWindowsEventQueueBuffer.cpp:265
 #14 EventQueue::getEvent at /usr/src/debug/synergy-1.6.2/src/lib/base/EventQueue.cpp:205

Potential duplicate: bug 1218111
Comment 1 Brian J. Murrell 2016-02-01 08:09:37 EST
Created attachment 1120096 [details]
File: backtrace
Comment 2 Brian J. Murrell 2016-02-01 08:09:37 EST
Created attachment 1120097 [details]
File: cgroup
Comment 3 Brian J. Murrell 2016-02-01 08:09:38 EST
Created attachment 1120098 [details]
File: core_backtrace
Comment 4 Brian J. Murrell 2016-02-01 08:09:39 EST
Created attachment 1120099 [details]
File: dso_list
Comment 5 Brian J. Murrell 2016-02-01 08:09:40 EST
Created attachment 1120100 [details]
File: environ
Comment 6 Brian J. Murrell 2016-02-01 08:09:41 EST
Created attachment 1120101 [details]
File: limits
Comment 7 Brian J. Murrell 2016-02-01 08:09:42 EST
Created attachment 1120102 [details]
File: maps
Comment 8 Brian J. Murrell 2016-02-01 08:09:43 EST
Created attachment 1120103 [details]
File: mountinfo
Comment 9 Brian J. Murrell 2016-02-01 08:09:44 EST
Created attachment 1120104 [details]
File: namespaces
Comment 10 Brian J. Murrell 2016-02-01 08:09:45 EST
Created attachment 1120105 [details]
File: open_fds
Comment 11 Brian J. Murrell 2016-02-01 08:09:46 EST
Created attachment 1120106 [details]
File: proc_pid_status
Comment 12 Brian J. Murrell 2016-02-01 08:09:47 EST
Created attachment 1120107 [details]
File: var_log_messages
Comment 13 Brian J. Murrell 2016-03-14 14:30:12 EDT
Just hit this again.
Comment 14 Brian J. Murrell 2016-04-11 10:53:07 EDT
And hit again.  Why has this not even been triaged?  Is this package more or less unsupported in Fedora?

Can we at least get an update to the 1.7 stable to see if upstream bug fixes have  resolved this and the many other synergy issues?
Comment 15 Johan Swensson 2016-04-18 01:28:42 EDT
(In reply to Brian J. Murrell from comment #14)
> Can we at least get an update to the 1.7 stable to see if upstream bug fixes
> have  resolved this and the many other synergy issues?

1.7.6 is now available in updates-testing, feel free to try it out to see if it resolves your issue.
Comment 16 Fedora End Of Life 2016-11-24 10:19:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:21:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.